require_relative 'loaded_die'

module StudioGame
  module GameTurn
    def self.take_turn(player)
      die = LoadedDie.new

      roll = die.roll

      case roll
      when 1..2
        player.blam
        puts 'Player is blammed'
      when 5..6
        player.w00t
        puts 'Player was w00ted'
      end

      treasure = TreasureTrove.random
      player.found_treasure(treasure)
    end
  end
end 
